Spaces method and path for this operation:
get /s/{space_id}/api/saved_objects/{type}/{id}
Refer to Spaces for more information.
WARNING: This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.
Retrieves a single Kibana saved object by type and ID.
For transferring or backing up saved objects, prefer the export API (POST /api/saved_objects/_export).
GET
/api/saved_objects/{type}/{id}
curl
curl \
-X GET "${KIBANA_URL}/api/saved_objects/dashboard/example-dashboard-1" \
-H "Authorization: ApiKey ${API_KEY}"
GET kbn://api/saved_objects/dashboard/example-dashboard-1
Response examples (200)
{
"attributes": {
"title": "Example dashboard 1"
},
"id": "example-dashboard-1",
"managed": false,
"namespaces": [
"default"
],
"references": [],
"type": "dashboard",
"updated_at": "2026-04-17T12:00:00.000Z",
"version": "WzEsMV0="
}
Response examples (400)
{
"error": "Bad Request",
"message": "Unsupported saved object type(s): unknownType",
"statusCode": 400
}